import { PlusOutlined } from "@ant-design/icons"
import { Button, Drawer } from "antd"
import Book from '@/pages/MiniApp/BookManage/index'
import { useState } from "react"
import styles from './drawer.less'
function BookSelectDrawer(props: { value?: any, onChange?: (v: any) => void }) {
    let [open, setOpen] = useState(false)
    return <div>
        <div>
            <Button type="dashed" onClick={() => { setOpen(true) }} className={styles.addBtn}>
                <PlusOutlined style={{fontSize:20}}/>
            </Button>
        </div>
        <Drawer
            title={"小说选择"}
            open={open}
            footer={false}
            width={"80%"}
            onClose={() => { setOpen(false) }}
        >
            <Book {...props} />
        </Drawer>
    </div>
}
export default BookSelectDrawer